Compatibility PHP 7.1 / 7.2 for PrestaShop View larger

Compatibility PHP 7.1 / 7.2 for PrestaShop

Performance Security

To be able to run on a server in PHP 7.1 or 7.2 your PrestaShop store must be subject to checks and modifications.

The team Profileo Live for you the actions necessary to make your PrestaShop store compatible with PHP 7 (possible only for PrestaShop version > 1.6.0 to 1.6.17 and 1.7.0 ).

More details

Ask us a question

Ask us a question

375,00 € tax excl.

Secure payment by credit card or SEPA mandate

Time credits immediately added to your account if payment by credit card

The version of PHP 7.1 imposes itself little by little as the reference version. Your webhost you may have recently informed the end of support for old versions of PHP (PHP 5.4/5.5/5.6) or an additional charge to continue to use these versions.

In order to allow you the compatibility with your PrestaShop store with PHP 7.1 with confidence, our developer team is doing for you this intervention comprised of :

  • Creating a test environment with PHP 7.1

  • Copy of your site on the test environment

  • Analysis of the front office to identify and correct the different errors that are related to PHP 7.1 (Home, categories, products, tunnel of command up to the payment step, you create an account, create an address, disconnect and reconnect).

  • Analysis of the Back Office to identify and correct the different errors that are related to PHP 7.1 (Dashboard, list modules, list commands, file command, product listing and editing a product).

  • Production after test and validation of your hand

Once these actions took place, then you can ask your webhost to change the version of your site in PHP 7.1 or 7.2 depending on the need.

This intervention does not understand that the compatibility of the heart of PrestaShop, modules and native modules Profileo. Any third-party module that is not compatible will be subject to an estimated additional after analysis.

We recommend that you update your code to ensure the performance and safety of your shop. If, however, you can't perform this operation for the moment orient you to the hosts continuing to offer support for PHP 5.6. This is particularly the case in 772424.com, specialised hosting provider PrestaShop, which provides support for php 5.6 until June 2020.

This ticket procedure is scheduled for 1 SHOP. In the case of a PrestaShop multiboutiques, please order the quantity corresponding to the number of shops to deal with.
You will like

Our website uses cookies. Cookies allow us to personalize content, offer social media features and analyze our traffic. By continuing browsing this website, you accept our privacy policy.